Subject: Linux-Activists - DOC Channel digest. 93-4-24-12:11
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Mon, 24 May 1993 16:31:08 +0300

Topics:
	 Updated version of roff manual page template

----------------------------------------------------------------------

From: Michael Haardt < ([email-masked]) [email-masked].
Subject: Updated version of roff manual page template
Date: Sat, 22 May 1993 22:52:39 +0300

This is the updated and corrected version of my roff manual page
template.  I got quite some requests last time, so I think I should mail
it again.

Michael
----------------------------------------------------------------------
..\' X
..\" where X can be e (eqn), r (refer), t (tbl) or v (vgrind)
..\" The original version of this man macro manual was first written by
..\" Tom Christiansen and posted to comp.unix.misc, later changed a lot
..\" by Michael Haardt.
..\"{{{}}}
..\"{{{  Notes
..\" All literals should be written using a \fBbold\fP fonts, all
..\" variables using a \fIitalic\fP font.  Remember the following
..\" characters:
..\"
..\"  \e    backslash
..\"  \-    Minus
..\"  -     Hyphen
..\"  \(en  En-dash, typically used in things like "page 11\(en15"
..\"  \(em  Em-dash
..\"
..\" Don't use quotes in the usual text for god's sake, italic and bold 
..\" are better to read and you have to define strings for opening and 
..\" closing quotes to keep nroff and troff output nice.
..\"}}}
..\"{{{  Title
..TH NAME SECTION DATE SOURCE MANUAL
..\" NAME should be all caps
..\" SECTION should be 1-8
..\" DATE is optional and should be like "January 1, 1970"
..\" SOURCE is optional, e.g. GNU
..\" MANUAL is optional, e.g. "LINUX Programmer's Manual"
..\"}}}
..\"{{{  Name
..SH NAME
..\" Depending on the font (modern or older), \(en (with spaces around it),
..\" or \(em (without) spaces should be used.  \- is close to \(en and all
..\" makewhatis(1) programs will understand it, so use \-.
foo, bar \- programs to do something
..\"}}}
..\"{{{  Synopsis
..SH SYNOPSIS
..ad l
..\" commands only
..B name
..RB [ \-option ]
..RB [ \-option
..IR parameter ]
..I file ...
..\" C functions
..B #include <something.h>
..sp
..B int foo(int bar);
..br
..B int foo2(int bar);
..br
..\" both
..ad b
..\"}}}
..\"{{{  Config
..SH CONFIG
This section explains how a device is configured: major/minor numbers,
their meanings and the meaning of the device name.
..\"}}}
..\"{{{  Description
..SH DESCRIPTION
long drawn out discussion of the program.  It's a good idea
to break this up into subsections using the .SS macros, like
..SS "Section Selection"
To seperate a paragraph, use 
..PP
Don't use .LP, it isn't part of all man macros.
..SS "Online Problem Reports"
There is no BUGS section, instead use
..IP "Bugs"
to document broken functions where they are described.
..PP
If you want to make references to other manual pages, use
..IR man (7)
or \fIman\fP(1).
..\"}}}
..\"{{{  Options
..SH OPTIONS
..IP \fB\-option\fP
Some people make this separate from the description.
..IP "\fB\-option\fP \fIfile\fP"
You can also use .TP, but I like .IP much more. 
..\"}}}
..\"{{{  Return value
..SH "RETURN VALUE"
What the program or function returns if successful.
..\"}}}
..\"{{{  Errors
..SH ERRORS
Return codes, either exit status or errno settings.
..\"}}}
..\"{{{  Examples
..SH EXAMPLES
give some example uses of the program
..\"}}}
..\"{{{  Environment
..SH ENVIRONMENT
envariables this program might care about
..\"}}}
..\"{{{  Files
..SH FILES
all files used by the program.  typical usage is like this:
..nf
/usr/man	default man tree
/usr/man/man*/*.*	unformatted (nroff source) man pages
..fi
..\"}}}
..\"{{{  Conforming to
..SH "CONFORMING TO"
SVID [EXT], AT&T, POSIX, X/OPEN, BSD 4.3
..\"}}}
..\"{{{  Notes
..SH NOTES
miscellaneous commentary
..\"}}}
..\"{{{  Warnings
..SH WARNINGS
things to take special care with
..\"}}}
..\"{{{  Diagnostics
..SH DIAGNOSTICS
all the possible error messages the program can print out, and
what they mean.
..\"}}}
..\"{{{  Restrictions
..SH RESTRICTIONS
bugs you don't plan to fix :-)
..\"}}}
..\"{{{  Author
..SH AUTHOR
who wrote it (or AUTHORS if multiple)
..\"}}}
..\"{{{  History
..SH HISTORY
programs derived from other sources sometimes have this.
..\"}}}
..\"{{{  See also
..SH "SEE ALSO"
..\" other man pages to check out, like:
man(1), man(7), makewhatis(8), catman(8)
..\"}}}
----------------------------------------------------------------------

------------------------------

End of DOC Digest
*****************
-------